> This page is optimized for agents. Use the linked Markdown pages and llms.txt indexes for related API content.

# Get Facility entities.

- Product: Facilities
- Section: Facilities
- Snapshot: Current
- Method: `GET`
- Path: `/api/facilities/`

## Query parameters

### `category`

Type: `number`  
Required: no  

### `localityCategory`

Type: `number`  
Required: no  

### `details`

Type: `boolean`  
Required: no  
Default: `false`  

### `organization`

Type: `number`  
Required: yes  

### `accommodation`

Type: `number`  
Required: no  

## Execute with TypeScript

Package: `@recranet/sdk`  

```ts
import { RecranetApiClient } from "@recranet/sdk";

const client = new RecranetApiClient({ apiKey: process.env.RECRANET_API_KEY! });

const result = await client.facilities.list({
  organization: 0,
});
```

## Execute with curl

```bash
curl "https://app.recranet.com/api/facilities/" \
    -H "X-Api-Key: $RECRANET_API_KEY" \
    --url-query "organization=$ORGANIZATION"
```

## Responses

### Response `200`

Category: success  

Successful response

#### `application/json`

##### Generated example

```json
[
  {
    "id": 0,
    "facilitySpecification": {
      "id": 0,
      "type": "type",
      "name": "name",
      "locale": "locale"
    }
  }
]
```

##### Schema

###### Facility[]

Type: `Facility[]`  

###### Facility

Type: `Facility`  

###### `id`

Type: `number`  
Required: yes  

###### `facilitySpecification`

Type: `FacilitySpecification`  
Required: no  

###### FacilitySpecification

Type: `FacilitySpecification`  

###### `id`

Type: `number`  
Required: yes  

###### `type`

Type: `string`  
Required: yes  

###### `name`

Type: `string`  
Required: yes  

###### `locale`

Type: `string`  
Required: yes  

### Response `400`

Category: client-error  

Bad request

#### `application/json`

##### Example

```json
{
  "statusCode": 400,
  "description": "Bad request",
  "errors": [
    "Bad request"
  ]
}
```

##### Schema

###### object

Type: `object`  

## Related representations

- [Human documentation](/facilities/methods/list/)
- [TypeScript Markdown](/facilities/methods/list.md?lang=typescript)
- [curl Markdown](/facilities/methods/list.md?lang=curl)
- [site llms.txt](/llms.txt)
- [product llms.txt](/facilities/llms.txt)
- [snapshot llms.txt](/facilities/llms.txt)
